/*
  Alloc
  A simple allocation veneer with checking
  JBS 15 June 1994
*/

#ifndef _ALLOC_

#define _ALLOC_

#include "types.h"

void *allocate(size_t);
void *allocate_zero(size_t);

#define alloc(n,t) allocate((n) * (size_t) sizeof(t))
#define alloc0(n,t) allocate_zero((n) * (size_t) sizeof(t))

#endif
